-- MUSHclient localization file

-- Written: Wednesday, 07 July 2007 at 14:35:18

-- Static messages

messages = {

-- ActivityView.cpp:123
  ["Activity List"] =
    "",

-- AsciiArtDlg.cpp:49
  ["You must specify some text to insert."] =
    "",

-- AsciiArtDlg.cpp:59
  ["You must specify a font file."] =
    "",

-- CreditsDlg.cpp:76
  ["Could not load text"] =
    "",

-- DDV_validation.cpp:41
  ["This field may not be blank"] =
    "",

-- DebugLuaDlg.cpp:98
  ["Edit command"] =
    "",

-- EditDlg.cpp:48
  ["Line breaks not permitted here."] =
    "",

-- EditVariable.cpp:52 TimerDlg.cpp:209 aliasdlg.cpp:236
  ["The variable name must start with a letter and consist of letters, numbers or the underscore character."] =
    "",

-- EditVariable.cpp:65
  ["This variable name is already in the list of variables."] =
    "",

-- EditVariable.cpp:115
  ["Edit variable"] =
    "",

-- FindDlg.cpp:47 RecallSearchDlg.cpp:57
  ["You must specify something to search for."] =
    "",

-- Finding.cpp:172
  ["Finding..."] =
    "",

-- FunctionListDlg.cpp:187
  ["No function selected"] =
    "",

-- GlobalChangeDlg.cpp:41
  ["This field cannot be empty."] =
    "",

-- GlobalPrefs.cpp:142
  ["You have selected too many worlds to add.  Please try again with fewer worlds."] =
    "",

-- GlobalPrefs.cpp:1610
  ["You have selected too many plugins to add.  Please try again with fewer Plugins."] =
    "",

-- HighlightPhraseDlg.cpp:52
  ["The text to highlight cannot be empty."] =
    "",

-- HighlightPhraseDlg.cpp:60
  ["Please choose a colour other than '(no change)'."] =
    "",

-- HighlightPhraseDlg.cpp:71
  ["Please choose a different colour than the original one."] =
    "",

-- ImmediateDlg.cpp:64 TextView.cpp:1463
  ["Executing immediate script"] =
    "",

-- ImportXMLdlg.cpp:224
  ["No items loaded."] =
    "",

-- ImportXMLdlg.cpp:236 globaloptions.cpp:205
  ["Not in XML format"] =
    "",

-- ImportXMLdlg.cpp:241
  ["There was a problem parsing the XML. See the error window for more details"] =
    "",

-- InsertUnicodeDlg.cpp:43
  ["Unicode character code cannot be blank."] =
    "",

-- InsertUnicodeDlg.cpp:50
  ["Unicode character code too long."] =
    "",

-- LuaGsubDlg.cpp:61
  ["When calling a function the replacement text must be the function name"] =
    "",

-- LuaGsubDlg.cpp:149
  ["Edit 'find pattern'"] =
    "",

-- LuaGsubDlg.cpp:164
  ["Edit 'replacement' text"] =
    "",

-- MUSHclient.cpp:308
  ["OLE initialization failed"] =
    "",

-- MUSHclient.cpp:471
  ["Unable to load main frame window"] =
    "",

-- MUSHclient.cpp:779
  ["This will end your MUSHclient session."] =
    "",

-- MapDlg.cpp:266
  ["Edit mapping failure 'match' text"] =
    "",

-- Mapping.cpp:79
  ["Warning - mapping has not been turned on because you pressed 'Cancel'.\n\nDo you want mapping enabled now?"] =
    "",

-- MultiLineTriggerDlg.cpp:49
  ["The trigger match text cannot be empty."] =
    "",

-- MultiLineTriggerDlg.cpp:64
  ["Multi-line triggers must match at least 2 lines."] =
    "",

-- PluginWizard.cpp:71
  ["The plugin name must start with a letter and consist of letters, numbers or the underscore character."] =
    "",

-- PluginWizard.cpp:126
  ["Description may not contain the sequence \"]]>\""] =
    "",

-- PluginWizard.cpp:668
  ["Script may not contain the sequence \"]]>\""] =
    "",

-- PluginWizard.cpp:811
  ["Comments may not contain the sequence \"--\""] =
    "",

-- PluginsDlg.cpp:378 PluginsDlg.cpp:467
  ["Plugin cannot be found, unexpectedly."] =
    "",

-- RecallDlg.cpp:134
  ["Window contents have changed. Save changes?"] =
    "",

-- TextAttributesDlg.cpp:159
  [" No action."] =
    "",

-- TextAttributesDlg.cpp:260
  ["** WARNING - length discrepancy **"] =
    "",

-- TextAttributesDlg.cpp:263
  ["------ (end line information) ------"] =
    "",

-- TextDocument.cpp:282
  ["Unable to read file"] =
    "",

-- TextDocument.cpp:431
  ["Untitled"] =
    "",

-- TextView.cpp:691 sendvw.cpp:331 sendvw.cpp:2219
  ["Spell check ..."] =
    "",

-- TextView.cpp:920
  ["&Send To World\tShift+Ctrl+S"] =
    "",

-- TextView.cpp:1140
  ["&Flip To World\tCtrl+Alt+Space"] =
    "",

-- TextView.cpp:1343
  ["Unterminated element (\"<\" not followed by \">\")"] =
    "",

-- TextView.cpp:1359
  ["Unterminated entity (\"&\" not followed by \";\")"] =
    "",

-- TimerDlg.cpp:130
  ["The timer interval must be greater than zero."] =
    "",

-- TimerDlg.cpp:138
  ["The timer offset must be less than the timer period."] =
    "",

-- TimerDlg.cpp:182 aliasdlg.cpp:211 triggdlg.cpp:328
  ["The label must start with a letter and consist of letters, numbers or the underscore character."] =
    "",

-- TimerDlg.cpp:196 aliasdlg.cpp:223 triggdlg.cpp:299
  ["When sending to a variable you must specify a variable name. "] =
    "",

-- TimerDlg.cpp:238
  ["The timer contents cannot be blank unless you specify a script subroutine."] =
    "",

-- TimerDlg.cpp:252 aliasdlg.cpp:280 triggdlg.cpp:343
  ["The script subroutine name must start with a letter and consist of letters, numbers or the underscore character."] =
    "",

-- Utilities.cpp:1031
  ["Closing network connection ..."] =
    "",

-- Utilities.cpp:2513
  ["No match"] =
    "",

-- Utilities.cpp:2514
  ["Null"] =
    "",

-- Utilities.cpp:2515
  ["Bad option"] =
    "",

-- Utilities.cpp:2516
  ["Bad magic"] =
    "",

-- Utilities.cpp:2517
  ["Unknown Opcode"] =
    "",

-- Utilities.cpp:2518
  ["No Memory"] =
    "",

-- Utilities.cpp:2519
  ["No Substring"] =
    "",

-- Utilities.cpp:2520
  ["Match Limit"] =
    "",

-- Utilities.cpp:2521
  ["Callout"] =
    "",

-- Utilities.cpp:2522
  ["Bad UTF8"] =
    "",

-- Utilities.cpp:2523
  ["Bad UTF8 Offset"] =
    "",

-- Utilities.cpp:2524
  ["Partial"] =
    "",

-- Utilities.cpp:2525
  ["Bad Partial"] =
    "",

-- Utilities.cpp:2526
  ["Internal"] =
    "",

-- Utilities.cpp:2527
  ["Bad Count"] =
    "",

-- Utilities.cpp:2528
  ["Dfa Uitem"] =
    "",

-- Utilities.cpp:2529
  ["Dfa Ucond"] =
    "",

-- Utilities.cpp:2530
  ["Dfa Umlimit"] =
    "",

-- Utilities.cpp:2531
  ["Dfa Wssize"] =
    "",

-- Utilities.cpp:2532
  ["Dfa Recurse"] =
    "",

-- Utilities.cpp:2533
  ["Recursion Limit"] =
    "",

-- Utilities.cpp:2534
  ["Null Ws Limit"] =
    "",

-- Utilities.cpp:2535
  ["Bad Newline"] =
    "",

-- Utilities.cpp:2536
  ["Unknown PCRE error"] =
    "",

-- aliasdlg.cpp:123
  ["The alias cannot be blank."] =
    "",

-- aliasdlg.cpp:266
  ["The alias contents cannot be blank unless you specify a script subroutine."] =
    "",

-- aliasdlg.cpp:439
  ["Edit alias 'match' text"] =
    "",

-- configuration.cpp:1571
  ["Only the Lua script language is available with the /wine option"] =
    "",

-- doc.cpp:640
  ["Written by Nick Gammon."] =
    "",

-- doc.cpp:642
  ["For information and assistance about MUSHclient visit our forum at:"] =
    "",

-- doc.cpp:644
  ["Go to forum"] =
    "",

-- doc.cpp:813
  ["Cannot connect. World name not specified"] =
    "",

-- doc.cpp:840 prefspropertypages.cpp:175
  ["The proxy server address cannot be blank."] =
    "",

-- doc.cpp:846 prefspropertypages.cpp:182
  ["The proxy server port must be specified."] =
    "",

-- doc.cpp:1267
  ["Insufficient memory in buffer to decompress text"] =
    "",

-- doc.cpp:2323
  ["Ran out of memory. The world has been closed."] =
    "",

-- doc.cpp:2988 doc.cpp:3058
  ["Unable to allocate memory for screen font"] =
    "",

-- doc.cpp:3298
  ["An error occurred calculating amount to send to world"] =
    "",

-- doc.cpp:3331
  ["Sending to world..."] =
    "",

-- doc.cpp:3333
  ["Sending..."] =
    "",

-- doc.cpp:3450
  ["An error occurred when sending/pasting to this world"] =
    "",

-- doc.cpp:3507 prefspropertypages.cpp:4721
  ["Unable to open or read the requested file"] =
    "",

-- doc.cpp:3530 doc.cpp:3617
  ["Cannot open the Clipboard"] =
    "",

-- doc.cpp:3562
  ["Unable to get Clipboard data"] =
    "",

-- doc.cpp:3574 doc.cpp:3686
  ["Unable to lock memory for Clipboard data"] =
    "",

-- doc.cpp:3632
  ["Unable to allocate memory for Clipboard data"] =
    "",

-- doc.cpp:3643
  ["Unable to lock memory for Clipboard text data"] =
    "",

-- doc.cpp:3658
  ["Unable to set Clipboard text data"] =
    "",

-- doc.cpp:3675
  ["Unable to allocate memory for Clipboard Unicode data"] =
    "",

-- doc.cpp:3703
  ["Unable to set Clipboard Unicode data"] =
    "",

-- doc.cpp:3951
  ["Unexpected phase in HostNameResolved function"] =
    "",

-- doc.cpp:4057
  ["Recalculating line positions"] =
    "",

-- doc.cpp:4518
  ["Reconnecting ..."] =
    "",

-- doc.cpp:4704
  ["Permission denied"] =
    "",

-- doc.cpp:4705
  ["Address already in use"] =
    "",

-- doc.cpp:4706
  ["Cannot assign requested address"] =
    "",

-- doc.cpp:4707
  ["Address family not supported by protocol family"] =
    "",

-- doc.cpp:4708
  ["Operation already in progress. "] =
    "",

-- doc.cpp:4709
  ["Software caused connection abort"] =
    "",

-- doc.cpp:4710
  ["Connection refused"] =
    "",

-- doc.cpp:4711
  ["Connection reset by peer"] =
    "",

-- doc.cpp:4712
  ["Destination address required"] =
    "",

-- doc.cpp:4713
  ["Bad address"] =
    "",

-- doc.cpp:4714
  ["Host is down"] =
    "",

-- doc.cpp:4715
  ["No route to host"] =
    "",

-- doc.cpp:4716
  ["Operation now in progress"] =
    "",

-- doc.cpp:4717
  ["Interrupted function call"] =
    "",

-- doc.cpp:4718
  ["Invalid argument"] =
    "",

-- doc.cpp:4719
  ["Socket is already connected"] =
    "",

-- doc.cpp:4720
  ["Too many open files"] =
    "",

-- doc.cpp:4721
  ["Message too long"] =
    "",

-- doc.cpp:4722
  ["Network is down"] =
    "",

-- doc.cpp:4723
  ["Network dropped connection on reset"] =
    "",

-- doc.cpp:4724
  ["Network is unreachable"] =
    "",

-- doc.cpp:4725
  ["No buffer space available"] =
    "",

-- doc.cpp:4726
  ["Bad protocol option"] =
    "",

-- doc.cpp:4727
  ["Socket is not connected"] =
    "",

-- doc.cpp:4728
  ["Socket operation on non-socket"] =
    "",

-- doc.cpp:4729
  ["Operation not supported"] =
    "",

-- doc.cpp:4730
  ["Protocol family not supported"] =
    "",

-- doc.cpp:4731
  ["Too many processes"] =
    "",

-- doc.cpp:4732
  ["Protocol not supported"] =
    "",

-- doc.cpp:4733
  ["Protocol wrong type for socket"] =
    "",

-- doc.cpp:4734
  ["Cannot send after socket shutdown"] =
    "",

-- doc.cpp:4735
  ["Socket type not supported"] =
    "",

-- doc.cpp:4736
  ["Connection timed out"] =
    "",

-- doc.cpp:4737
  ["Resource temporarily unavailable"] =
    "",

-- doc.cpp:4738
  ["Host not found"] =
    "",

-- doc.cpp:4739
  ["Specified event object handle is invalid"] =
    "",

-- doc.cpp:4740
  ["One or more parameters are invalid"] =
    "",

-- doc.cpp:4741
  ["Invalid procedure table from service provider"] =
    "",

-- doc.cpp:4742
  ["Invalid service provider version number"] =
    "",

-- doc.cpp:4743
  ["Overlapped operations will complete later"] =
    "",

-- doc.cpp:4744
  ["Overlapped I/O event object not in signaled state"] =
    "",

-- doc.cpp:4745
  ["Insufficient memory available"] =
    "",

-- doc.cpp:4746
  ["Successful WSAStartup not yet performed"] =
    "",

-- doc.cpp:4747
  ["Valid name, no data record of requested type"] =
    "",

-- doc.cpp:4748
  ["This is a non-recoverable error"] =
    "",

-- doc.cpp:4749
  ["Unable to initialize a service provider"] =
    "",

-- doc.cpp:4750
  ["System call failure"] =
    "",

-- doc.cpp:4751
  ["Network subsystem is unavailable"] =
    "",

-- doc.cpp:4752
  ["Non-authoritative host not found"] =
    "",

-- doc.cpp:4753
  ["WINSOCK.DLL version out of range"] =
    "",

-- doc.cpp:4754
  ["Graceful shutdown in progress"] =
    "",

-- doc.cpp:4755
  ["Overlapped operation aborted"] =
    "",

-- doc.cpp:4759
  ["Unknown error code"] =
    "",

-- doc.cpp:4996
  ["Recalling..."] =
    "",

-- doc.cpp:6532 doc.cpp:6554
  ["Send-to-script cannot execute because scripting is not enabled."] =
    "",

-- doc.cpp:6621
  ["Unable to allocate memory for host name lookup"] =
    "",

-- doc.cpp:7072 doc.cpp:7074
  ["Proxy server refused authentication"] =
    "",

-- doc.cpp:7232
  ["Proxy server username or password lengths cannot be > 255 characters"] =
    "",

-- doc_construct.cpp:72 mainfrm.cpp:401
  ["Ready"] =
    "",

-- doc_construct.cpp:564
  ["Preload world defaults from an existing world?"] =
    "",

-- doc_construct.cpp:606
  ["Unexpected file format - invalid world file"] =
    "",

-- doc_construct.cpp:617
  ["Unable to open world file"] =
    "",

-- doc_construct.cpp:753
  ["Your world name cannot be blank."] =
    "",

-- doc_construct.cpp:759
  ["The world TCP/IP address cannot be blank."] =
    "",

-- editstr.cpp:43
  ["The string to match on cannot be blank."] =
    "",

-- evaluate.cpp:547
  ["Replace existing triggers?\nIf you reply \"No\", then triggers from the file will be added to existing triggers"] =
    "",

-- evaluate.cpp:556
  ["Replace existing aliases?\nIf you reply \"No\", then aliases from the file will be added to existing aliases"] =
    "",

-- evaluate.cpp:565
  ["Replace existing timers?\nIf you reply \"No\", then timers from the file will be added to existing timers"] =
    "",

-- evaluate.cpp:620 serialize.cpp:57
  ["File does not have a valid MUSHclient XML signature."] =
    "",

-- evaluate.cpp:639 evaluate.cpp:736 globaloptions.cpp:743

-- prefspropertypages.cpp:4727 prefspropertypages.cpp:4784
  ["Insufficient memory to do this operation"] =
    "",

-- evaluate.cpp:730 globaloptions.cpp:736
  ["Unable to create the requested file"] =
    "",

-- evaluate.cpp:742 globaloptions.cpp:750
  ["There was a problem in the data format"] =
    "",

-- genprint.cpp:206
  ["Unable to create a font for printing"] =
    "",

-- genprint.cpp:282 genprint.cpp:382
  ["Error occurred starting a new page"] =
    "",

-- genprint.cpp:407
  ["Error occurred closing printer"] =
    "",

-- genpropertypage.cpp:956
  ["There was a problem parsing the XML on the clipboard. See the error window for more details"] =
    "",

-- logdlg.cpp:52 prefspropertypages.cpp:1170
  ["You are not logging output from the MUD - is this intentional?"] =
    "",

-- lua_methods.cpp:5292
  ["No error"] =
    "",

-- lua_methods.cpp:5293
  ["The world is already open"] =
    "",

-- lua_methods.cpp:5294
  ["The world is closed, this action cannot be performed"] =
    "",

-- lua_methods.cpp:5295
  ["No name has been specified where one is required"] =
    "",

-- lua_methods.cpp:5296
  ["The sound file could not be played"] =
    "",

-- lua_methods.cpp:5297
  ["The specified trigger name does not exist"] =
    "",

-- lua_methods.cpp:5298
  ["Attempt to add a trigger that already exists"] =
    "",

-- lua_methods.cpp:5299
  ["The trigger \"match\" string cannot be empty"] =
    "",

-- lua_methods.cpp:5300
  ["The name of this object is invalid"] =
    "",

-- lua_methods.cpp:5301
  ["Script name is not in the script file"] =
    "",

-- lua_methods.cpp:5302
  ["The specified alias name does not exist"] =
    "",

-- lua_methods.cpp:5303
  ["Attempt to add a alias that already exists"] =
    "",

-- lua_methods.cpp:5304
  ["The alias \"match\" string cannot be empty"] =
    "",

-- lua_methods.cpp:5305
  ["Unable to open requested file"] =
    "",

-- lua_methods.cpp:5306
  ["Log file was not open"] =
    "",

-- lua_methods.cpp:5307
  ["Log file was already open"] =
    "",

-- lua_methods.cpp:5308
  ["Bad write to log file"] =
    "",

-- lua_methods.cpp:5309
  ["The specified timer name does not exist"] =
    "",

-- lua_methods.cpp:5310
  ["Attempt to add a timer that already exists"] =
    "",

-- lua_methods.cpp:5311
  ["Attempt to delete a variable that does not exist"] =
    "",

-- lua_methods.cpp:5312
  ["Attempt to use SetCommand with a non-empty command window"] =
    "",

-- lua_methods.cpp:5313
  ["Bad regular expression syntax"] =
    "",

-- lua_methods.cpp:5314
  ["Time given to AddTimer is invalid"] =
    "",

-- lua_methods.cpp:5315
  ["Direction given to AddToMapper is invalid"] =
    "",

-- lua_methods.cpp:5316
  ["No items in mapper"] =
    "",

-- lua_methods.cpp:5317
  ["Option name not found"] =
    "",

-- lua_methods.cpp:5318
  ["New value for option is out of range"] =
    "",

-- lua_methods.cpp:5319
  ["Trigger sequence value invalid"] =
    "",

-- lua_methods.cpp:5320
  ["Where to send trigger text to is invalid"] =
    "",

-- lua_methods.cpp:5321
  ["Trigger label not specified/invalid for 'send to variable'"] =
    "",

-- lua_methods.cpp:5322
  ["File name specified for plugin not found"] =
    "",

-- lua_methods.cpp:5323
  ["There was a parsing or other problem loading the plugin"] =
    "",

-- lua_methods.cpp:5324
  ["Plugin is not allowed to set this option"] =
    "",

-- lua_methods.cpp:5325
  ["Plugin is not allowed to get this option"] =
    "",

-- lua_methods.cpp:5326
  ["Requested plugin is not installed"] =
    "",

-- lua_methods.cpp:5327
  ["Only a plugin can do this"] =
    "",

-- lua_methods.cpp:5328
  ["Plugin does not support that subroutine (subroutine not in script)"] =
    "",

-- lua_methods.cpp:5329
  ["Plugin does not support saving state"] =
    "",

-- lua_methods.cpp:5330
  ["Plugin could not save state (eg. no state directory)"] =
    "",

-- lua_methods.cpp:5331
  ["Plugin is currently disabled"] =
    "",

-- lua_methods.cpp:5332
  ["Could not call plugin routine"] =
    "",

-- lua_methods.cpp:5333
  ["Calls to \"Execute\" nested too deeply"] =
    "",

-- lua_methods.cpp:5334
  ["Unable to create socket for chat connection"] =
    "",

-- lua_methods.cpp:5335
  ["Unable to do DNS (domain name) lookup for chat connection"] =
    "",

-- lua_methods.cpp:5336
  ["No chat connections open"] =
    "",

-- lua_methods.cpp:5337
  ["Requested chat person not connected"] =
    "",

-- lua_methods.cpp:5338
  ["General problem with a parameter to a script call"] =
    "",

-- lua_methods.cpp:5339
  ["Already listening for incoming chats"] =
    "",

-- lua_methods.cpp:5340
  ["Chat session with that ID not found"] =
    "",

-- lua_methods.cpp:5341
  ["Already connected to that server/port"] =
    "",

-- lua_methods.cpp:5342
  ["Cannot get (text from the) clipboard"] =
    "",

-- lua_methods.cpp:5343
  ["Cannot open the specified file"] =
    "",

-- lua_methods.cpp:5344
  ["Already transferring a file"] =
    "",

-- lua_methods.cpp:5345
  ["Not transferring a file"] =
    "",

-- lua_methods.cpp:5346
  ["There is not a command of that name"] =
    "",

-- lua_methods.cpp:5347
  ["That array already exists"] =
    "",

-- lua_methods.cpp:5348
  ["That array does not exist"] =
    "",

-- lua_methods.cpp:5349
  ["Values to be imported into array are not in pairs"] =
    "",

-- lua_methods.cpp:5350
  ["Import succeeded, however some values were overwritten"] =
    "",

-- lua_methods.cpp:5351
  ["Import/export delimiter must be a single character, other than backslash"] =
    "",

-- lua_methods.cpp:5352
  ["Array element set, existing value overwritten"] =
    "",

-- lua_methods.cpp:5353
  ["Array key does not exist"] =
    "",

-- lua_methods.cpp:5354
  ["Cannot import because cannot find unused temporary character"] =
    "",

-- lua_methods.cpp:5355
  ["Cannot delete trigger/alias/timer because it is executing a script"] =
    "",

-- lua_methods.cpp:5356
  ["Spell checker is not active"] =
    "",

-- mainfrm.cpp:218
  ["Failed to create MDI Frame Window"] =
    "",

-- mainfrm.cpp:227
  ["Failed to create toolbar"] =
    "",

-- mainfrm.cpp:237
  ["Failed to create status bar"] =
    "",

-- mainfrm.cpp:247
  ["Failed to create game toolbar"] =
    "",

-- mainfrm.cpp:257
  ["Failed to create activity toolbar"] =
    "",

-- mainfrm.cpp:1093
  ["Unable to open the Gammon Software Solutions web page: "] =
    "",

-- mainfrm.cpp:1103 mainfrm.cpp:1112
  ["Unable to open the MUSHclient forum web page: "] =
    "",

-- mainfrm.cpp:1137
  ["Unable to open the MUD lists web page: "] =
    "",

-- mainfrm.cpp:1292
  ["Unable to open the Gammon Software Solutions Bug Report web page: "] =
    "",

-- mainfrm.cpp:1733
  ["Unable to open the MUSHclient documentation web page: "] =
    "",

-- mainfrm.cpp:1743
  ["Unable to open the regular expressions web page: "] =
    "",

-- mainfrm.cpp:2091
  ["Unable to open the plugins web page: "] =
    "",

-- methods.cpp:1331 methods.cpp:1339 prefspropertypages.cpp:6758

-- prefspropertypages.cpp:6766
  ["Unable to edit the script file."] =
    "",

-- methods.cpp:2441 methods.cpp:2583
  ["Comment code of '{' not terminated by a '}'"] =
    "",

-- methods.cpp:2452 methods.cpp:2599
  ["Speed walk counter exceeds 99"] =
    "",

-- methods.cpp:2464 methods.cpp:2611
  ["Speed walk counter not followed by an action"] =
    "",

-- methods.cpp:2467 methods.cpp:2614
  ["Speed walk counter may not be followed by a comment"] =
    "",

-- methods.cpp:2476 methods.cpp:2623
  ["Action code of C, O, L or K must not follow a speed walk count (1-99)"] =
    "",

-- methods.cpp:2494 methods.cpp:2635
  ["Action code of C, O, L or K must be followed by a direction"] =
    "",

-- methods.cpp:2520 methods.cpp:2663
  ["Action code of '(' not terminated by a ')'"] =
    "",

-- methods.cpp:6675
  ["Script cannot execute because of parse error in script file"] =
    "",

-- methods.cpp:6691
  ["Warning - you appear to be doing a script command but scripting is not enabled."] =
    "",

-- methods.cpp:7277
  ["No (relevant) chat connections."] =
    "",

-- mushview.cpp:3040
  ["Printing world..."] =
    "",

-- mushview.cpp:3224
  ["Printing cancelled"] =
    "",

-- mushview.cpp:3679
  ["No URL selected"] =
    "",

-- mushview.cpp:3681
  ["URL too long"] =
    "",

-- mushview.cpp:3721
  ["No email address selected"] =
    "",

-- mushview.cpp:3723
  ["Email address too long"] =
    "",

-- mushview.cpp:4386
  ["Cannot find style of this character"] =
    "",

-- mushview.cpp:4821
  ["@ must be followed by a variable name"] =
    "",

-- mushview.cpp:5427 mushview.cpp:5511
  ["Cannot compile regular expression"] =
    "",

-- mxp.cpp:53
  ["Empty MXP element supplied."] =
    "",

-- mxpOnOff.cpp:33
  ["Closing down MXP"] =
    "",

-- mxpOpenAtomic.cpp:572
  ["Character name requested but auto-connect not set to MXP."] =
    "",

-- mxpOpenAtomic.cpp:575
  ["Character name requested but none defined."] =
    "",

-- password.cpp:42
  ["Your password cannot be blank."] =
    "",

-- prefspropertypages.cpp:139
  ["Your world name cannot be blank.\n\nYou must fill in your world name, TCP/IP address and port number before tabbing to other configuration screens"] =
    "",

-- prefspropertypages.cpp:151
  ["The world IP address cannot be blank."] =
    "",

-- prefspropertypages.cpp:158
  ["The world port number must be specified."] =
    "",

-- prefspropertypages.cpp:189
  ["Unknown proxy server type."] =
    "",

-- prefspropertypages.cpp:1061
  ["Reset all custom colours to MUSHclient defaults?"] =
    "",

-- prefspropertypages.cpp:1091 prefspropertypages.cpp:1910
  ["Make all colours random?"] =
    "",

-- prefspropertypages.cpp:1321
  ["By checking the option \"Override with default colours\"  your existing colours will be PERMANENTLY discarded next time you open this world.\n\nAre you SURE you want to do this?"] =
    "",

-- prefspropertypages.cpp:1492
  ["Reset all colours to the ANSI defaults?"] =
    "",

-- prefspropertypages.cpp:1858
  ["Copy all 16 colours to the custom colours?"] =
    "",

-- prefspropertypages.cpp:2075
  ["By checking the option \"Override with default macros\"  your existing macros will be PERMANENTLY discarded next time you open this world.\n\nAre you SURE you want to do this?"] =
    "",

-- prefspropertypages.cpp:3025 prefspropertypages.cpp:3978
  ["Cannot move up - already has a sequence of zero"] =
    "",

-- prefspropertypages.cpp:3043 prefspropertypages.cpp:3996
  ["Cannot move up - already at top of list"] =
    "",

-- prefspropertypages.cpp:3108 prefspropertypages.cpp:4061
  ["Cannot move down - already has a sequence of 10000"] =
    "",

-- prefspropertypages.cpp:3127 prefspropertypages.cpp:4080
  ["Cannot move down - already at bottom of list"] =
    "",

-- prefspropertypages.cpp:4294
  ["You must supply a speed-walk prefix."] =
    "",

-- prefspropertypages.cpp:4302
  ["You must supply a command stack character."] =
    "",

-- prefspropertypages.cpp:4309
  ["The command stack character is invalid."] =
    "",

-- prefspropertypages.cpp:4705
  ["File exceeds 32000 bytes in length, cannot be loaded"] =
    "",

-- prefspropertypages.cpp:4709
  ["File is empty"] =
    "",

-- prefspropertypages.cpp:4778
  ["Unable to open or write the requested file"] =
    "",

-- prefspropertypages.cpp:4874
  ["Regular expressions not supported here."] =
    "",

-- prefspropertypages.cpp:7270
  ["No variables in this world."] =
    "",

-- prefspropertypages.cpp:7402
  ["Your \"auto say\" string cannot be blank"] =
    "",

-- prefspropertypages.cpp:7594
  ["Your character name cannot be blank for auto-connect."] =
    "",

-- prefspropertypages.cpp:8344
  ["Calculating memory usage..."] =
    "",

-- prefspropertypages.cpp:8346
  ["Memory used by output buffer"] =
    "",

-- prefspropertypages.cpp:8355
  ["Calculating size of output buffer..."] =
    "",

-- regexp.cpp:90
  ["Too many substrings in regular expression"] =
    "",

-- scriptengine.cpp:201
  ["Immediate execution"] =
    "",

-- scriptengine.cpp:206
  ["Line in error: "] =
    "",

-- scriptengine.cpp:212
  ["No active world"] =
    "",

-- scriptengine.cpp:239
  ["Script error"] =
    "",

-- scriptengine.cpp:396
  ["Something nasty happened whilst initialising the scripting engine"] =
    "",

-- scriptengine.cpp:438
  ["Script engine problem on script parse"] =
    "",

-- scripting.cpp:27
  ["Error, scripting already active"] =
    "",

-- scripting.cpp:441
  ["You have not specified a script file name:"] =
    "",

-- scripting.cpp:498
  ["Error context in script:"] =
    "",

-- telnet_phases.cpp:470
  ["Can not process compressed output. World closed."] =
    "",

-- triggdlg.cpp:174
  ["The trigger text cannot be blank."] =
    "",

-- triggdlg.cpp:313
  ["The variable must start with a letter and consist of letters, numbers or the underscore character."] =
    "",

-- triggdlg.cpp:373
  ["Multi-line triggers must be a regular expression"] =
    "",

-- triggdlg.cpp:379
  ["Multi-line triggers must match at least 2 lines"] =
    "",

-- triggdlg.cpp:735
  ["Edit trigger 'match' text"] =
    "",

-- triggdlg.cpp:809
  ["Variable:"] =
    "",

-- triggdlg.cpp:811
  ["Pane:"] =
    "",

-- triggdlg.cpp:813
  ["(n/a)"] =
    "",

-- world_debug.cpp:736
  ["Script:"] =
    "",

-- world_debug.cpp:737
  ["-------(start script)----------"] =
    "",

-- world_debug.cpp:739
  ["--------(end script)-----------"] =
    "",

-- world_debug.cpp:906
  ["----- Debug commands available -----"] =
    "",

-- pcre_compile.c:182
  ["no error"] =
    "",

-- pcre_compile.c:183
  ["\\ at end of pattern"] =
    "",

-- pcre_compile.c:184
  ["\\c at end of pattern"] =
    "",

-- pcre_compile.c:185
  ["unrecognized character follows \\"] =
    "",

-- pcre_compile.c:186
  ["numbers out of order in {} quantifier"] =
    "",

-- pcre_compile.c:188
  ["number too big in {} quantifier"] =
    "",

-- pcre_compile.c:189
  ["missing terminating ] for character class"] =
    "",

-- pcre_compile.c:190
  ["invalid escape sequence in character class"] =
    "",

-- pcre_compile.c:191
  ["range out of order in character class"] =
    "",

-- pcre_compile.c:192
  ["nothing to repeat"] =
    "",

-- pcre_compile.c:194
  ["operand of unlimited repeat could match the empty string"] =
    "",

-- pcre_compile.c:195
  ["internal error: unexpected repeat"] =
    "",

-- pcre_compile.c:196
  ["unrecognized character after (?"] =
    "",

-- pcre_compile.c:197
  ["POSIX named classes are supported only within a class"] =
    "",

-- pcre_compile.c:198
  ["missing )"] =
    "",

-- pcre_compile.c:200
  ["reference to non-existent subpattern"] =
    "",

-- pcre_compile.c:201
  ["erroffset passed as NULL"] =
    "",

-- pcre_compile.c:202
  ["unknown option bit(s) set"] =
    "",

-- pcre_compile.c:203
  ["missing ) after comment"] =
    "",

-- pcre_compile.c:204
  ["parentheses nested too deeply"] =
    "",

-- pcre_compile.c:206
  ["regular expression too large"] =
    "",

-- pcre_compile.c:207
  ["failed to get memory"] =
    "",

-- pcre_compile.c:208
  ["unmatched parentheses"] =
    "",

-- pcre_compile.c:209
  ["internal error: code overflow"] =
    "",

-- pcre_compile.c:210
  ["unrecognized character after (?<"] =
    "",

-- pcre_compile.c:212
  ["lookbehind assertion is not fixed length"] =
    "",

-- pcre_compile.c:213
  ["malformed number or name after (?("] =
    "",

-- pcre_compile.c:214
  ["conditional group contains more than two branches"] =
    "",

-- pcre_compile.c:215
  ["assertion expected after (?("] =
    "",

-- pcre_compile.c:216
  ["(?R or (?[+-]digits must be followed by )"] =
    "",

-- pcre_compile.c:218
  ["unknown POSIX class name"] =
    "",

-- pcre_compile.c:219
  ["POSIX collating elements are not supported"] =
    "",

-- pcre_compile.c:220
  ["this version of PCRE is not compiled with PCRE_UTF8 support"] =
    "",

-- pcre_compile.c:221
  ["spare error"] =
    "",

-- pcre_compile.c:222
  ["character value in \\x{...} sequence is too large"] =
    "",

-- pcre_compile.c:224
  ["invalid condition (?(0)"] =
    "",

-- pcre_compile.c:225
  ["\\C not allowed in lookbehind assertion"] =
    "",

-- pcre_compile.c:226
  ["PCRE does not support \\L, \\l, \\N, \\U, or \\u"] =
    "",

-- pcre_compile.c:227
  ["number after (?C is > 255"] =
    "",

-- pcre_compile.c:228
  ["closing ) for (?C expected"] =
    "",

-- pcre_compile.c:230
  ["recursive call could loop indefinitely"] =
    "",

-- pcre_compile.c:231
  ["unrecognized character after (?P"] =
    "",

-- pcre_compile.c:232
  ["syntax error in subpattern name (missing terminator)"] =
    "",

-- pcre_compile.c:233
  ["two named subpatterns have the same name"] =
    "",

-- pcre_compile.c:234
  ["invalid UTF-8 string"] =
    "",

-- pcre_compile.c:236
  ["support for \\P, \\p, and \\X has not been compiled"] =
    "",

-- pcre_compile.c:237
  ["malformed \\P or \\p sequence"] =
    "",

-- pcre_compile.c:238
  ["unknown property name after \\P or \\p"] =
    "",

-- pcre_compile.c:239
  ["subpattern name is too long (maximum "] =
    "",

-- pcre_compile.c:239
  [" characters)"] =
    "",

-- pcre_compile.c:240
  ["too many named subpatterns (maximum "] =
    "",

-- pcre_compile.c:240
  [")"] =
    "",

-- pcre_compile.c:242
  ["repeated subpattern is too long"] =
    "",

-- pcre_compile.c:243
  ["octal value is greater than \\377 (not in UTF-8 mode)"] =
    "",

-- pcre_compile.c:244
  ["internal error: overran compiling workspace"] =
    "",

-- pcre_compile.c:245
  ["internal error: previously-checked referenced subpattern not found"] =
    "",

-- pcre_compile.c:246
  ["DEFINE group contains more than one branch"] =
    "",

-- pcre_compile.c:248
  ["repeating a DEFINE group is not allowed"] =
    "",

-- pcre_compile.c:249
  ["inconsistent NEWLINE options"] =
    "",

-- pcre_compile.c:250
  ["\\g is not followed by a braced name or an optionally braced non-zero number"] =
    "",

-- pcre_compile.c:251
  ["(?+ or (?- or (?(+ or (?(- must be followed by a non-zero number"] =
    "",
  } -- end messages

-- Formatted messages

formatted = {

-- ChatListDlg.cpp:154
  ["Chat sessions for %s"] =
    function (a)
     
      return ""
    end,  -- function

-- ColourPickerDlg.cpp:389
  ["Saturation: %5.3f"] =
    function (a)
     
      return ""
    end,  -- function

-- ColourPickerDlg.cpp:390
  ["Luminance: %5.3f"] =
    function (a)
     
      return ""
    end,  -- function

-- EditVariable.cpp:117
  ["Edit variable '%s'"] =
    function (a)
     
      return ""
    end,  -- function

-- Finding.cpp:51
  ["The %s \"%s\" was not found%s"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- Finding.cpp:153
  ["Finding: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- GoToLineDlg.cpp:45
  ["Line number must be in range 1 to %i"] =
    function (a)
     
      return ""
    end,  -- function

-- ImportXMLdlg.cpp:119 PluginsDlg.cpp:331 PluginsDlg.cpp:452 doc.cpp:721

-- evaluate.cpp:632
  ["Unable to open or read %s"] =
    function (a)
     
      return ""
    end,  -- function

-- ImportXMLdlg.cpp:206
  ["%lu trigger%s, %lu alias%s, %lu timer%s, %lu macro%s, %lu variable%s, %lu colour%s, %lu keypad%s, %lu printing style%s loaded. "] =
    function (a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p)
     
      return ""
    end,  -- function

-- InsertUnicodeDlg.cpp:65
  ["Bad hex character: '%c'."] =
    function (a)
     
      return ""
    end,  -- function

-- InsertUnicodeDlg.cpp:83
  ["Bad decimal character: '%c'."] =
    function (a)
     
      return ""
    end,  -- function

-- InsertUnicodeDlg.cpp:93
  ["Unicode character %I64i too large - must be in range 0 to 2147483647 (hex 0 to 7FFFFFFF)."] =
    function (a)
     
      return ""
    end,  -- function

-- LuaGsubDlg.cpp:82
  ["Function '%s' not found in script text"] =
    function (a)
     
      return ""
    end,  -- function

-- MUSHclient.cpp:437
  ["Internal MUSHclient error, config name collision: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- MUSHclient.cpp:1194
  ["Function '%s' not in spellchecker.lua file"] =
    function (a)
     
      return ""
    end,  -- function

-- MUSHclient.cpp:1225
  ["Could not initialise zlib decompression engine: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- MUSHclient.cpp:1228
  ["Could not initialise zlib decompression engine: %i"] =
    function (a)
     
      return ""
    end,  -- function

-- MapCommentDlg.cpp:43
  ["The comment may not contain the character \"%c\""] =
    function (a)
     
      return ""
    end,  -- function

-- MapDlg.cpp:101
  ["Remove existing %i directions from the map?"] =
    function (a)
     
      return ""
    end,  -- function

-- MapMoveDlg.cpp:51
  ["The action may not contain the character \"%c\""] =
    function (a)
     
      return ""
    end,  -- function

-- MapMoveDlg.cpp:58
  ["The reverse action may not contain the character \"%c\""] =
    function (a)
     
      return ""
    end,  -- function

-- Mapping.cpp:107 serialize.cpp:83
  ["Error \"%s\" processing mapping failure regular expression \"%s\""] =
    function (a, b)
     
      return ""
    end,  -- function

-- Mapping.cpp:329
  ["Mapper: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- MultiLineTriggerDlg.cpp:72
  ["Multi-line triggers can match a maximum of %i lines."] =
    function (a)
     
      return ""
    end,  -- function

-- PluginWizard.cpp:452
  ["Every %02i:%02i:%04.2f"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- PluginWizard.cpp:457
  ["At %02i:%02i:%04.2f"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- PluginsDlg.cpp:235
  ["%s description"] =
    function (a)
     
      return ""
    end,  -- function

-- PluginsDlg.cpp:338 PluginsDlg.cpp:459 doc.cpp:728
  ["There was a problem loading the plugin %s. See the error window for more details"] =
    function (a)
     
      return ""
    end,  -- function

-- PluginsDlg.cpp:501 PluginsDlg.cpp:510
  ["Unable to edit the plugin file %s."] =
    function (a)
     
      return ""
    end,  -- function

-- PluginsDlg.cpp:670 PluginsDlg.cpp:679
  ["Unable to edit the plugin state file %s."] =
    function (a)
     
      return ""
    end,  -- function

-- ProcessPreviousLine.cpp:590
  ["Previous line had a bad UTF-8 sequence at column %i, and was not evaluated for trigger matches"] =
    function (a)
     
      return ""
    end,  -- function

-- ProcessPreviousLine.cpp:1047
  ["Trigger: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- ScriptErrorDlg.cpp:74
  ["Error number: %i\nEvent:        %s\nDescription:  %s\nCalled by:    %s\n"] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- StatLink.cpp:107
  ["Unable to execute: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:103
  ["Line %i (%i), %s"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:108
  [" Flags = End para: %s, Note: %s, User input: %s, Log: %s, Bookmark: %s"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:116
  [" Length = %i, last space = %i"] =
    function (a, b)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:122
  [" Text = \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:125
  ["%i style run%s"] =
    function (a, b)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:138
  ["%i: Offset = %i, Length = %i, Text = \"%s\""] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:162
  [" Action - send to MUD: \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:165 TextAttributesDlg.cpp:172

-- TextAttributesDlg.cpp:179
  [" Hint: \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:169
  [" Action - hyperlink: \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:176
  [" Action - send to command window: \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:187
  [" Set variable: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:189
  [" Flags = Hilite: %s, Underline: %s, Blink: %s, Inverse: %s, Changed: %s"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:199
  [" Start MXP tag: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:218
  [" Foreground colour ANSI  : %i (%s)"] =
    function (a, b)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:221
  [" Background colour ANSI  : %i (%s)"] =
    function (a, b)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:226
  [" Custom colour: %i (%s)"] =
    function (a, b)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:231
  [" Foreground colour RGB   : R=%i, G=%i, B=%i"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:236
  [" Background colour RGB   : R=%i, G=%i, B=%i"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:243
  [" Foreground colour rsvd  : %i"] =
    function (a)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:245
  [" Background colour rsvd  : %i"] =
    function (a)
     
      return ""
    end,  -- function

-- TextAttributesDlg.cpp:258
  ["%i column%s in %i style run%s"] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- TextDocument.cpp:264
  ["The file \"%s\" has been modified. Do you wish to reload it?"] =
    function (a)
     
      return ""
    end,  -- function

-- TextDocument.cpp:429 cmdhist.cpp:248 doc.cpp:5829 mushview.cpp:4490

-- sendvw.cpp:2279
  ["Notepad: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- TextView.cpp:589
  ["The %s contains %i line%s, %i word%s, %i character%s"] =
    function (a, b, c, d, e, f, g)
     
      return ""
    end,  -- function

-- TextView.cpp:914
  ["&Send To %s\tShift+Ctrl+S"] =
    function (a)
     
      return ""
    end,  -- function

-- TextView.cpp:973
  ["Replace entire window contents with 'recall' from %s?"] =
    function (a)
     
      return ""
    end,  -- function

-- TextView.cpp:1134
  ["&Flip To %s\tCtrl+Alt+Space"] =
    function (a)
     
      return ""
    end,  -- function

-- TextView.cpp:1377
  ["Invalid hex number in entity: &%s;"] =
    function (a)
     
      return ""
    end,  -- function

-- TextView.cpp:1386
  ["Invalid hex number in entity: &%s; - maximum of 2 hex digits"] =
    function (a)
     
      return ""
    end,  -- function

-- TextView.cpp:1398
  ["Invalid number in entity: &%s;"] =
    function (a)
     
      return ""
    end,  -- function

-- TextView.cpp:1411
  ["Disallowed number in entity: &%s;"] =
    function (a)
     
      return ""
    end,  -- function

-- TextView.cpp:1424
  ["Unknown entity: &%s;"] =
    function (a)
     
      return ""
    end,  -- function

-- TextView.cpp:1613
  ["%i character%s selected."] =
    function (a, b)
     
      return ""
    end,  -- function

-- TextView.cpp:1615
  ["All text selected: %i character%s"] =
    function (a, b)
     
      return ""
    end,  -- function

-- TextView.cpp:1626
  [" (%i line break%s)"] =
    function (a, b)
     
      return ""
    end,  -- function

-- TextView.cpp:1717
  ["%i replaced."] =
    function (a)
     
      return ""
    end,  -- function

-- TimerDlg.cpp:165
  ["The timer label \"%s\" is already in the list of timers."] =
    function (a)
     
      return ""
    end,  -- function

-- Utilities.cpp:1723
  ["Cannot find the function '%s' - item '%s' is %s"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- Utilities.cpp:2311
  ["Clipboard converted for use with the Forum, %i change%s made"] =
    function (a, b)
     
      return ""
    end,  -- function

-- aliasdlg.cpp:195
  ["The alias label \"%s\" is already in the list of aliases."] =
    function (a)
     
      return ""
    end,  -- function

-- chatlistensock.cpp:67
  ["Accepted call from %s port %d"] =
    function (a, b)
     
      return ""
    end,  -- function

-- doc.cpp:639
  ["Welcome to MUSHclient version %s!"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:819
  ["Cannot connect to \"%s\", TCP/IP address not specified"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:826
  ["Cannot connect to \"%s\", port number not specified"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:852
  ["Unknown proxy server type: %d."] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:871
  ["Connecting to %s, port %d"] =
    function (a, b)
     
      return ""
    end,  -- function

-- doc.cpp:893
  ["Unable to create TCP/IP socket for \"%s\", code = %i (%s)"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- doc.cpp:1325
  ["Could not decompress text from MUD: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:1328
  ["Could not decompress text from MUD: %i"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:2367
  ["%s function \"%s\" cannot execute - scripting disabled/parse error."] =
    function (a, b)
     
      return ""
    end,  -- function

-- doc.cpp:2379
  ["%s function \"%s\" not found or had a previous error."] =
    function (a, b)
     
      return ""
    end,  -- function

-- doc.cpp:2398
  ["processing trigger \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:2487
  ["Close log file %s?"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:2595
  ["Unable to open log file \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:2874
  ["An error occurred writing to log file \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:3795 doc.cpp:6695
  ["Unable to connect to \"%s\", code = %i (%s)\n\nError occurred during phase: %s"] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- doc.cpp:3927
  ["Unable to resolve host name for \"%s\", code = %i (%s)"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- doc.cpp:4366
  ["Timer: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:4388
  ["processing timer \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:4549
  ["This will end your %s session."] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:4579
  ["World internal variables (only) have changed.\n\nSave changes to %s?"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:4931
  ["Are you SURE you want to clear all %i lines in the output window?"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:4979
  ["Recalling: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:5142
  ["The %s \"%s\" was not found"] =
    function (a, b)
     
      return ""
    end,  -- function

-- doc.cpp:5203 mushview.cpp:4543
  ["Recall: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:5376
  ["The connection to %s is currently being established."] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:5382
  ["The connection to %s is not open. Attempt to reconnect?"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:5683
  ["%s%s packet: %I64d (%i bytes)%s%s"] =
    function (a, b, c, d, e, f)
     
      return ""
    end,  -- function

-- doc.cpp:6636
  ["Unable to initiate host name lookup for \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:6831
  ["Could not open log file \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:7050
  ["Proxy server cannot authenticate, reason: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:7116 doc.cpp:7154
  ["Proxy server refused connection, reason: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- doc.cpp:7184
  ["Unexpected proxy server response %i, expected %i"] =
    function (a, b)
     
      return ""
    end,  -- function

-- documentation.cpp:90
  ["Could not find menu item %s, ID %i\n"] =
    function (a, b)
     
      return ""
    end,  -- function

-- evaluate.cpp:645
  ["The file %s is not in the correct format"] =
    function (a)
     
      return ""
    end,  -- function

-- evaluate.cpp:894 mushview.cpp:4929
  ["Alias: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- evaluate.cpp:925 mushview.cpp:4859
  ["processing alias \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:114
  ["The %s named \"%s\" is already in the %s list"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:190 genpropertypage.cpp:224 genpropertypage.cpp:879
  ["The %s you selected is no longer in the %s list"] =
    function (a, b)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:194 genpropertypage.cpp:228 genpropertypage.cpp:883

-- prefspropertypages.cpp:3007 prefspropertypages.cpp:3090

-- prefspropertypages.cpp:3960 prefspropertypages.cpp:4043
  ["The %s named \"%s\" is no longer in the %s list"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:243
  ["The %s named \"%s\" has been included from an include file. You cannot modify it here."] =
    function (a, b)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:254
  ["The %s named \"%s\" has already been modified by a script subroutine"] =
    function (a, b)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:276
  ["The %s named \"%s\" already exists in the %s list"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:377
  ["Delete %i %s - are you sure?"] =
    function (a, b)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:434
  ["%i item%s %s included from an include file. You cannot delete %s here."] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:444
  ["%i item%s %s currently executing a script. You cannot delete %s now."] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:661
  ["%i item%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- genpropertypage.cpp:664
  [" (%i item%s hidden by filter)"] =
    function (a, b)
     
      return ""
    end,  -- function

-- globaloptions.cpp:239 xml_load_world.cpp:609
  ["Attribute not used: %s=\"%s\""] =
    function (a, b)
     
      return ""
    end,  -- function

-- globaloptions.cpp:255 xml_load_world.cpp:625
  ["Tag not used: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- globaloptions.cpp:282 xml_load_world.cpp:552
  ["Line %4i: %s (%s)%s"] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- globaloptions.cpp:546 globaloptions.cpp:583 xml_load_world.cpp:942

-- xml_load_world.cpp:1008 xml_load_world.cpp:1039
  ["option '%s' not set"] =
    function (a)
     
      return ""
    end,  -- function

-- lua_scripting.cpp:360 lua_scripting.cpp:582 scriptengine.cpp:73
  ["Executing %s script \"%s\""] =
    function (a, b)
     
      return ""
    end,  -- function

-- mainfrm.cpp:1282
  ["Unable to play file %s, reason: %s"] =
    function (a, b)
     
      return ""
    end,  -- function

-- methods.cpp:2527
  ["*Invalid direction '%c' in speed walk, must be N, S, E, W, U, D, F, or (something)"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:2684
  ["Invalid direction '%c' in speed walk, must be N, S, E, W, U, D, F, or (something)"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:3122
  ["&Discard %i Queued Command%s\tCtrl+D"] =
    function (a, b)
     
      return ""
    end,  -- function

-- methods.cpp:5176 plugins.cpp:116 plugins.cpp:167 plugins.cpp:253

-- plugins.cpp:340 plugins.cpp:433 plugins.cpp:525
  ["Plugin %s"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:5177 plugins.cpp:118 plugins.cpp:170 plugins.cpp:254

-- plugins.cpp:341 plugins.cpp:434 plugins.cpp:528
  ["Executing plugin %s sub %s"] =
    function (a, b)
     
      return ""
    end,  -- function

-- methods.cpp:7216
  ["Your chat name changed from %s to %s"] =
    function (a, b)
     
      return ""
    end,  -- function

-- methods.cpp:7241
  ["\n%s chats to everybody, '%s%s%s%s'\n"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- methods.cpp:7259
  ["You emote to everybody: %s%s%s %s%s"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- methods.cpp:7267
  ["You chat to everybody, '%s%s%s%s'"] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- methods.cpp:7296 methods.cpp:8176 methods.cpp:8263 methods.cpp:8368
  ["Chat ID %i is not connected."] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:7301
  ["\nTo you, %s%s%s %s%s\n"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- methods.cpp:7309
  ["\n%s chats to you, '%s%s%s%s'\n"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- methods.cpp:7322
  ["You emote to %s: %s%s%s %s%s"] =
    function (a, b, c, d, e, f)
     
      return ""
    end,  -- function

-- methods.cpp:7331
  ["You chat to %s, '%s%s%s%s'"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- methods.cpp:7364
  ["%s is not connected."] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:7369
  ["%i matches."] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:7382
  ["%-15s\nTo the group, %s%s%s %s%s\n"] =
    function (a, b, c, d, e, f)
     
      return ""
    end,  -- function

-- methods.cpp:7390
  ["%-15s\n%s chats to the group, '%s%s%s%s'\n"] =
    function (a, b, c, d, e, f)
     
      return ""
    end,  -- function

-- methods.cpp:7409
  ["You emote to the group %s: %s%s%s %s%s"] =
    function (a, b, c, d, e, f)
     
      return ""
    end,  -- function

-- methods.cpp:7418
  ["You chat to the group %s, '%s%s%s%s'"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- methods.cpp:7430
  ["No chat connections in the group %s."] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:7458
  ["\n[Chat message truncated, exceeds %i bytes]"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:7483
  ["\n[Chat message truncated, exceeds %i lines]"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:7559
  ["Accepting chat calls on port %d"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:7574
  ["Cannot accept calls on port %i, code = %i (%s)"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- methods.cpp:7585
  ["Listening for chat connections on port %d"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:7779
  ["Connection to %s dropped."] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:7800
  ["%i connection%s closed."] =
    function (a, b)
     
      return ""
    end,  -- function

-- methods.cpp:8020
  ["You can now send %s commands"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8024
  ["You can no longer send %s commands"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8030
  ["You can now send %s files"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8034
  ["You can no longer send %s files"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8040
  ["You can now snoop %s"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8044
  ["You can no longer snoop %s"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8050
  ["%s is ignoring you"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8054
  ["%s is no longer ignoring you"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8060
  ["%s has marked your connection as private"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8064
  ["%s has marked your connection as public"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8104
  ["%s has added you to the group %s"] =
    function (a, b)
     
      return ""
    end,  -- function

-- methods.cpp:8108
  ["%s has removed you from the chat group"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8141
  ["Chat ID %ld is not connected."] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8158
  ["Cannot find connection \"%s\"."] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8187
  ["\n%s pastes to you: \n\n%s%s%s%s\n"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- methods.cpp:8197
  ["You paste to %s: \n\n%s%s%s%s"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- methods.cpp:8216
  ["\n%s pastes to everybody: \n\n%s%s%s%s\n"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- methods.cpp:8234
  ["You paste to everybody: \n\n%s%s%s%s"] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- methods.cpp:8270
  ["Already sending file %s"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8273
  ["Already receiving file %s"] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8314
  ["File %s cannot be opened."] =
    function (a)
     
      return ""
    end,  -- function

-- methods.cpp:8331
  ["%s,%ld"] =
    function (a, b)
     
      return ""
    end,  -- function

-- methods.cpp:8348
  ["Initiated transfer of file %s, %ld bytes (%1.1f Kb)."] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- mushview.cpp:1592
  ["Plugin \"%s\" is not installed"] =
    function (a)
     
      return ""
    end,  -- function

-- mushview.cpp:1597
  ["Script routine \"%s\" is not in plugin %s"] =
    function (a, b)
     
      return ""
    end,  -- function

-- mushview.cpp:1604
  ["An error occurred calling plugin %s"] =
    function (a)
     
      return ""
    end,  -- function

-- mushview.cpp:1656 mushview.cpp:4667
  ["Hyperlink action \"%s\" - permission denied."] =
    function (a)
     
      return ""
    end,  -- function

-- mushview.cpp:1661 mushview.cpp:4672
  ["Unable to open the hyperlink \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mushview.cpp:3691
  ["Unable to open the URL \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mushview.cpp:3725
  ["Email address \"%s\" invalid - does not contain a \"@\""] =
    function (a)
     
      return ""
    end,  -- function

-- mushview.cpp:3733
  ["Unable to send mail to \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mushview.cpp:4831
  ["Variable '%s' is not defined."] =
    function (a)
     
      return ""
    end,  -- function

-- mxp.cpp:48
  ["MXP element: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxp.cpp:68
  ["MXP element too short: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpClose.cpp:62
  ["Opening MXP tag <%s> not found in output buffer"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpClose.cpp:137
  ["closing MXP tag %s"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpClose.cpp:244
  ["setting MXP variable %s"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpClose.cpp:353 mxpDefs.cpp:271 mxpStart.cpp:128
  ["Unknown MXP element: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpClose.cpp:415
  ["End-of-line closure of open MXP tag: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpClose.cpp:436
  ["<reset> closure of MXP tag: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:39
  ["MXP definition ignored when not in secure mode: <!%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:54
  ["Invalid MXP definition name: <!%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:70
  ["Invalid MXP element/entity name: \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:88
  ["Got Definition: !%s %s %s"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:106
  ["Unknown definition type: <!%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:135
  ["Cannot redefine built-in MXP element: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:145
  ["Replacing previously-defined MXP element: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:187
  ["No opening \"<\" in MXP element definition \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:201
  ["Unexpected \"<\" in MXP element definition \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:213
  ["No closing quote in MXP element definition \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:225
  ["No closing \">\" in MXP element definition \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:237
  ["No element name in MXP element definition \"<%s>\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:247
  ["Element definitions cannot close other elements: </%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:257
  ["Element definitions cannot define other elements: <!%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:347
  ["Bad variable name \"%s\" - for MXP FLAG definition"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:372
  ["Cannot add attributes to undefined MXP element: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:404 mxpOpenAtomic.cpp:826
  ["Cannot redefine entity: &%s;"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:437
  ["No closing \";\" in MXP entity argument \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxpDefs.cpp:513
  ["Unexpected word \"%s\" in entity definition for &%s; ignored"] =
    function (a, b)
     
      return ""
    end,  -- function

-- mxpEnd.cpp:36
  ["Invalid MXP tag name: </%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpEnd.cpp:46
  ["Closing MXP tag </%s %s> has inappropriate arguments"] =
    function (a, b)
     
      return ""
    end,  -- function

-- mxpEnd.cpp:69
  ["Cannot close open MXP tag <%s> - blocked by secure tag <%s>"] =
    function (a, b)
     
      return ""
    end,  -- function

-- mxpEnd.cpp:83
  ["Closing MXP tag </%s> does not have corresponding opening tag"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpEnd.cpp:91
  ["Cannot close open MXP tag <%s> - it was opened in secure mode."] =
    function (a)
     
      return ""
    end,  -- function

-- mxpEnd.cpp:110
  ["Closing out-of-sequence MXP tag: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpEntities.cpp:35
  ["MXP entity: &%s;"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpEntities.cpp:41
  ["Invalid MXP entity name \"%s\" supplied."] =
    function (a)
     
      return ""
    end,  -- function

-- mxpEntities.cpp:80
  ["Invalid hex number in MXP entity: &%s;"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpEntities.cpp:92
  ["Invalid hex number in MXP entity: &%s;- maximum of 2 hex digits"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpEntities.cpp:106
  ["Invalid number in MXP entity: &%s;"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpEntities.cpp:118
  ["Disallowed number in MXP entity: &%s;"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpEntities.cpp:135
  ["Unknown MXP entity: &%s;"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpError.cpp:175
  ["Unterminated MXP %s: %s (%s)"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- mxpMode.cpp:63 mxpMode.cpp:68
  ["unknown mode %i"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpMode.cpp:71
  ["MXP mode change from '%s' to '%s'"] =
    function (a, b)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:138 mxpOpenAtomic.cpp:146 mxpOpenAtomic.cpp:267

-- mxpOpenAtomic.cpp:280
  ["Unknown colour: \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:300
  ["Sent version response: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:321
  ["Sent AFK response: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:371 mxpOpenAtomic.cpp:383 mxpOpenAtomic.cpp:431
  ["Invalid <support> argument: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:461
  ["Sent supports response: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:507
  ["Sent options response: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:531
  ["Option named '%s' not known."] =
    function (a)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:535
  ["Option named '%s' cannot be changed."] =
    function (a)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:542
  ["Option named '%s' changed to '%s'."] =
    function (a, b)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:547
  ["Option named '%s' could not be changed to '%s' (out of range)."] =
    function (a, b)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:567
  ["Sent character name: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:814
  ["Invalid MXP entity name: <!%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpOpenAtomic.cpp:840
  ["MXP tag <%s> is not implemented"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpStart.cpp:49
  ["Invalid MXP element name \"%s\" supplied."] =
    function (a)
     
      return ""
    end,  -- function

-- mxpStart.cpp:146
  ["Secure MXP tag ignored when not in secure mode: <%s>"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpStart.cpp:218
  ["Now have %i outstanding MXP tags"] =
    function (a)
     
      return ""
    end,  -- function

-- mxpStart.cpp:287 mxpStart.cpp:423
  ["No closing \";\" in MXP element argument \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxpStart.cpp:474
  ["Non-default argument \"%s\" not supplied to <%s>"] =
    function (a, b)
     
      return ""
    end,  -- function

-- mxpStart.cpp:581
  ["opening MXP tag %s"] =
    function (a)
     
      return ""
    end,  -- function

-- mxputils.cpp:140 mxputils.cpp:161
  ["Invalid parameter name: \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxputils.cpp:170
  ["No argument value supplied for: \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- mxputils.cpp:521
  ["Unused argument (%i) for <%s>: %s"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- mxputils.cpp:528
  ["Unused argument for <%s>: %s=\"%s\""] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- plugins.cpp:619
  ["Plugin state saved. Plugin: \"%s\". World: \"%s\"."] =
    function (a, b)
     
      return ""
    end,  -- function

-- plugins.cpp:633
  ["Unable to create the plugin save state file: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- plugins.cpp:642
  ["Insufficient memory to write the plugin save state file: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- plugins.cpp:651
  ["There was a problem saving the plugin save state file: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:2518
  ["By checking the option \"Override with default aliases\"  your existing %i aliase(s) will be PERMANENTLY discarded next time you open this world.\n\nAre you SURE you want to do this?"] =
    function (a)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:2643 prefspropertypages.cpp:3470
  ["Error: %s "] =
    function (a)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:3276
  ["By checking the option \"Override with default triggers\"  your existing %i trigger%s will be PERMANENTLY discarded next time you open this world.\n\nAre you SURE you want to do this?"] =
    function (a, b)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:5375
  ["You are allocating %ld lines for your output buffer, but have only %ld Mb of physical RAM. This is not recommended. Do you wish to continue anyway?"] =
    function (a, b)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:5772
  ["By checking the option \"Override with default timers\"  your existing %i timer%s will be PERMANENTLY discarded next time you open this world.\n\nAre you SURE you want to do this?"] =
    function (a, b)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:6727
  ["Successfully registered %s"] =
    function (a)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:7244
  ["%i line%s could not be added as a variable."] =
    function (a, b)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:7258
  ["Loaded %i variable%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:7313
  ["Saved %i variable%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:7643
  ["(%i line%s)"] =
    function (a, b)
     
      return ""
    end,  -- function

-- prefspropertypages.cpp:8388
  [" (%i styles)"] =
    function (a)
     
      return ""
    end,  -- function

-- regexp.cpp:93
  ["Error executing regular expression: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- regexp.cpp:132
  ["Error occurred at column %i."] =
    function (a)
     
      return ""
    end,  -- function

-- scriptengine.cpp:90
  ["Script engine problem invoking subroutine \"%s\" when %s"] =
    function (a, b)
     
      return ""
    end,  -- function

-- scriptengine.cpp:132
  ["Wrong number of arguments for script subroutine \"%s\" when %s\n\nWe expected your subroutine to have %i argument%s"] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- scriptengine.cpp:138
  ["Unable to invoke script subroutine \"%s\" when %s"] =
    function (a, b)
     
      return ""
    end,  -- function

-- scriptengine.cpp:184
  ["Execution of line %i column %i"] =
    function (a, b)
     
      return ""
    end,  -- function

-- scriptengine.cpp:218
  ["Plugin: %s (called from world: %s)"] =
    function (a, b)
     
      return ""
    end,  -- function

-- scriptengine.cpp:223
  ["World: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- scripting.cpp:396
  ["The script file \"%s\" has been modified. Do you wish to re-process it?"] =
    function (a)
     
      return ""
    end,  -- function

-- scripting.cpp:428
  ["The %s subroutine named \"%s\" could not be found."] =
    function (a, b)
     
      return ""
    end,  -- function

-- scripting.cpp:432
  ["The %s (%s) subroutine named \"%s\" could not be found."] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- scripting.cpp:443
  ["There was a problem in script file \"%s\":"] =
    function (a)
     
      return ""
    end,  -- function

-- sendvw.cpp:991
  ["Logout from this character on %s?"] =
    function (a)
     
      return ""
    end,  -- function

-- sendvw.cpp:1005
  ["Quit from %s?"] =
    function (a)
     
      return ""
    end,  -- function

-- sendvw.cpp:1258
  ["Replace your typing of\n\n\"%s\"\n\nwith\n\n\"%s\"?"] =
    function (a, b)
     
      return ""
    end,  -- function

-- sendvw.cpp:2100
  ["Are you SURE you want to clear all %i commands you have typed?"] =
    function (a)
     
      return ""
    end,  -- function

-- sendvw.cpp:2186
  ["No replacements made for \"%s\"."] =
    function (a)
     
      return ""
    end,  -- function

-- serialize.cpp:49
  ["Opening world \"%s\""] =
    function (a)
     
      return ""
    end,  -- function

-- telnet_phases.cpp:481
  ["Could not reset zlib decompression engine: %s"] =
    function (a)
     
      return ""
    end,  -- function

-- telnet_phases.cpp:484
  ["Could not reset zlib decompression engine: %i"] =
    function (a)
     
      return ""
    end,  -- function

-- triggdlg.cpp:286
  ["The trigger label \"%s\" is already in the list of triggers."] =
    function (a)
     
      return ""
    end,  -- function

-- triggdlg.cpp:357
  ["Your trigger is set to 'send to %s' however the 'Send:' field is blank.\n\nYou can use \"%%0\" to send the entire matching line to the specified place.\n\n(You can eliminate this message by sending to 'world')\n\nDo you want to change the trigger to fix this?"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:167
  ["%i colour%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:229
  ["%i entit%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:252
  ["%i server entit%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:285
  ["%i element%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:363
  ["%i server element%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:387
  ["%i action%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:411
  ["--- Command Window %i ---"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:421
  ["%i command%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:478
  ["%i alias%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:549
  ["%i trigger%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:686
  ["%i variable%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:711
  ["%i array%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:726
  ["Name:       %s"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:727
  ["ID:         %s"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:728
  ["Purpose:    %s"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:729
  ["Author:     %s"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:730
  ["Disk file:  %s"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:731
  ["Language:   %s"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:732
  ["Enabled:    %s"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:752
  ["Trigger %i: %s=%s"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- world_debug.cpp:758 world_debug.cpp:784
  ["--> Script sub %s NOT active <--"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:764
  ["Alias %i: %s=%s"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- world_debug.cpp:776
  ["Timer %i: %02i:%02i:%04.2f=%s"] =
    function (a, b, c, d, e)
     
      return ""
    end,  -- function

-- world_debug.cpp:790
  ["Variable %i: %s=%s"] =
    function (a, b, c)
     
      return ""
    end,  -- function

-- world_debug.cpp:796
  ["<--- (end plugin \"%s\") --->"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:800
  ["%i plugin%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:812
  ["%i internal command%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:842
  ["%i info item%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- world_debug.cpp:858
  ["Pane name   = %s"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:859
  [" Pane title = %s"] =
    function (a)
     
      return ""
    end,  -- function

-- world_debug.cpp:860
  [" Left = %i, Top = %i, Width = %i, Height = %i, Flags = %08X, Lines = %i"] =
    function (a, b, c, d, e, f)
     
      return ""
    end,  -- function

-- world_debug.cpp:878
  ["Line %i, Width = %i, Styles = %i, newline = %i"] =
    function (a, b, c, d)
     
      return ""
    end,  -- function

-- world_debug.cpp:900
  ["%i pane%s."] =
    function (a, b)
     
      return ""
    end,  -- function

-- worldsock.cpp:138
  ["--- Connected for %i day%s, %i hour%s, %i minute%s, %i second%s. ---"] =
    function (a, b, c, d, e, f, g, h)
     
      return ""
    end,  -- function

-- worldsock.cpp:154
  ["The \"%s\" server has closed the connection"] =
    function (a)
     
      return ""
    end,  -- function

-- xml_load_world.cpp:213
  ["Time taken to %s = %15.8f seconds\n"] =
    function (a, b)
     
      return ""
    end,  -- function

-- xml_load_world.cpp:2248
  ["%s loading plugin %s ..."] =
    function (a, b)
     
      return ""
    end,  -- function
  } -- end formatted

-- Date and time strings

times = {

-- TextView.cpp:542
  ["%A, %#d %B %Y, %#I:%M %p"] =
    "",

-- configuration.cpp:459 doc.cpp:2669 doc.cpp:6860 globaloptions.cpp:713

-- methods.cpp:7740 mushview.cpp:3090 plugins.cpp:800 xml_save_world.cpp:49
  ["%A, %B %d, %Y, %#I:%M %p"] =
    "",

-- doc.cpp:6767
  ["--- Connected on %A, %B %d, %Y, %#I:%M %p ---"] =
    "",

-- worldsock.cpp:131
  ["--- Disconnected on %A, %B %d, %Y, %#I:%M %p ---"] =
    "",
  } -- end times

-- Dialog headings

headings = {

-- ActivityView.cpp:109 configuration.cpp:183 configuration.cpp:223
  ["Seq"] =
    "",

-- ActivityView.cpp:110
  ["World"] =
    "",

-- ActivityView.cpp:111
  ["New"] =
    "",

-- ActivityView.cpp:112
  ["Lines"] =
    "",

-- ActivityView.cpp:113
  ["Status"] =
    "",

-- ActivityView.cpp:114
  ["Since"] =
    "",

-- ActivityView.cpp:115
  ["Duration"] =
    "",

-- ChatListDlg.cpp:164 PluginWizard.cpp:213 PluginWizard.cpp:320

-- PluginWizard.cpp:430 PluginWizard.cpp:564 PluginsDlg.cpp:103

-- configuration.cpp:629
  ["Name"] =
    "",

-- ChatListDlg.cpp:165 PluginWizard.cpp:216 PluginWizard.cpp:323

-- PluginWizard.cpp:433 configuration.cpp:186 configuration.cpp:226

-- configuration.cpp:554
  ["Group"] =
    "",

-- ChatListDlg.cpp:166
  ["From IP"] =
    "",

-- ChatListDlg.cpp:167
  ["Call IP"] =
    "",

-- ChatListDlg.cpp:168
  ["Call Port"] =
    "",

-- ChatListDlg.cpp:169
  ["Flags"] =
    "",

-- ColourPickerDlg.cpp:242
  ["Colour name"] =
    "",

-- LuaChooseList.cpp:56 LuaChooseListMulti.cpp:52
  ["Main column"] =
    "",

-- PluginWizard.cpp:214 PluginWizard.cpp:321
  ["Match"] =
    "",

-- PluginWizard.cpp:215 PluginWizard.cpp:322 PluginWizard.cpp:432

-- configuration.cpp:184 configuration.cpp:224 configuration.cpp:552
  ["Send"] =
    "",

-- PluginWizard.cpp:431
  ["Time"] =
    "",

-- PluginWizard.cpp:565 configuration.cpp:630
  ["Contents"] =
    "",

-- PluginsDlg.cpp:104
  ["Purpose"] =
    "",

-- PluginsDlg.cpp:105
  ["Author"] =
    "",

-- PluginsDlg.cpp:106
  ["Language"] =
    "",

-- PluginsDlg.cpp:107
  ["File"] =
    "",

-- PluginsDlg.cpp:108
  ["Enabled"] =
    "",

-- configuration.cpp:182
  ["Alias"] =
    "",

-- configuration.cpp:185 configuration.cpp:225 configuration.cpp:553
  ["Label"] =
    "",

-- configuration.cpp:222
  ["Trigger"] =
    "",

-- configuration.cpp:550
  ["Type"] =
    "",

-- configuration.cpp:551
  ["When"] =
    "",

-- prefspropertypages.cpp:2355
  ["Macro name"] =
    "",

-- prefspropertypages.cpp:2356
  ["Text"] =
    "",

-- prefspropertypages.cpp:2357
  ["Action"] =
    "",
  } -- end headings

